Summary: Take screenshots from the framebuffer
Name: fb2png
Version: 0.1
Release: %mkrel 19.gitfe531dd
# from git: (cd ..; tar cfz fb2png{.tgz,/*})
Source0: %{name}.tgz
Source1: fb2png-0.1-index.html
License: MIT
Url: https://github.com/AndrewFromMelbourne/fb2png
Group: System/Kernel and hardware
BuildRequires:	libpng-devel

%description
Utility to make screenshots from framebuffer.
It's mainly used by the installer.

%prep
%setup -q -n %name
%autopatch
cp %{SOURCE1} index.html

%build
%make CFLAGS="%optflags" LDFLAGS="%ldflags"

%install
install -d $RPM_BUILD_ROOT%{_bindir}
install -m755 fb2png $RPM_BUILD_ROOT%{_bindir}/

%files
%doc index.html
%{_bindir}/*


%changelog
* Sun Mar 06 2016 tv <tv> 0.1-19.gitfe531dd.mga6
+ Revision: 986270
- really use a new git snapshot
- use a new git snapshot & drop merged patches

* Sat Mar 05 2016 tv <tv> 0.1-19.git7ca311e.mga6
+ Revision: 985934
- patch 1: fix some warnings
- adapt doc to reality:
  o adapt installing
  o adapt usage
  o no download link
  o purge TODO

* Sat Mar 05 2016 blino <blino> 0.1-18.git7ca311e.mga6
+ Revision: 985870
- rebuild for armv5tl (also missed in first Mga6 mass rebuild)

* Wed Feb 11 2015 tv <tv> 0.1-17.git7ca311e.mga6
+ Revision: 814732
- switch to a new implementation that works with 24/32 bit bpp (mga#13684)

* Wed Oct 15 2014 umeabot <umeabot> 0.1-16.mga5
+ Revision: 745997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-15.mga5
+ Revision: 679101
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1-14.mga4
+ Revision: 526063
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.1-13.mga4
+ Revision: 435832
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.1-12.mga3
+ Revision: 350074
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 fwang <fwang> 0.1-11.mga2
+ Revision: 143641
- fix zlib include
- use system build flags

* Thu Jan 27 2011 erwan <erwan> 0.1-11.mga1
+ Revision: 42249
- imported package fb2png

